package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.dto.market.extension.MarketExtensionDto;
import com.crm.rely.backend.core.entity.market.extension.MarketExtensionAddEntity;
import com.crm.rely.backend.core.entity.market.extension.MarketExtensionDeleteEntity;
import com.crm.rely.backend.core.entity.market.extension.MarketExtensionSearchPageEntity;
import com.crm.rely.backend.core.entity.market.extension.MarketExtensionUpdateEntity;
import com.crm.rely.backend.core.pojo.table.MarketExtensionTable;
import com.crm.rely.backend.exception.ServiceException;
import org.springframework.web.multipart.MultipartFile;

public interface MarketExtensionService {
    MarketExtensionDto searchSingle(Long id) throws ServiceException;

    MarketExtensionTable getById(Long id) throws ServiceException;

    ResultWithPagerDto<MarketExtensionDto> pageSearchList(MarketExtensionSearchPageEntity entity) throws ServiceException;

    void add(MarketExtensionAddEntity entity) throws ServiceException;

    void update(MarketExtensionUpdateEntity entity) throws ServiceException;

    void delete(MarketExtensionDeleteEntity entity) throws ServiceException;

    void validated(MultipartFile file) throws ServiceException;

    String uploadFile(MultipartFile file) throws Exception;
}
